# ioport.spec.  Generated from ioport.spec.in by configure.

Summary:     Access I/O ports
Name:        ioport
Version:     1.2
Release:     19%{?dist}
License:     GPLv2+

URL:         http://et.redhat.com/~rjones/ioport/
Source0:     http://et.redhat.com/~rjones/ioport/files/%{name}-%{version}.tar.gz

ExclusiveArch: %{ix86} x86_64

BuildRequires: gcc
BuildRequires: /usr/bin/perldoc


%description
These commands enable command line and script access directly to I/O
ports on PC hardware.

The inb, inw and inl commands perform an input (read) operation on the
given I/O port, and print the result.

The outb, outw and outl commands perform an output (write) operation
to the given I/O port, sending the given data.  Note that the order of
the parameters is ADDRESS DATA.

The size of the operation is selected according to the suffix, with
'b' meaning byte, 'w' meaning word (16 bits) and 'l' meaning long
(32 bits).


%prep
%setup -q


%build
%configure
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%files
%doc COPYING README
%{_bindir}/inb
%{_bindir}/inw
%{_bindir}/inl
%{_bindir}/outb
%{_bindir}/outw
%{_bindir}/outl
%{_mandir}/man1/inb.1*
%{_mandir}/man1/inw.1*
%{_mandir}/man1/inl.1*
%{_mandir}/man1/outb.1*
%{_mandir}/man1/outw.1*
%{_mandir}/man1/outl.1*


%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 26 2016 Richard Jones <rjones@redhat.com> - 1.2-12
- Remove useless defattr in files section.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jan 16 2012 Richard W.M. Jones <rjones@redhat.com> - 1.2-5
- Add explicit dependency on perldoc (was implicitly pulled in before).

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 16 2009 Richard Jones <rjones@redhat.com> - 1.1-1
- Only offer to build on x86 and x86-64 architectures.

* Mon Mar  9 2009 Richard Jones <rjones@redhat.com> - 1.0-1
- Initial build.
